### Method

# EDataServer WebDAVSession ensure_full_uri

since: 3.24

#### Declaration [src]

    gchar*
    e_webdav_session_ensure_full_uri (
      EWebDAVSession* webdav,
      const GUri* request_uri,
      const gchar* href
    )

#### Description [src]

Converts possibly path-only `href` into a full URI under the `request_uri`. When the `request_uri` is `NULL`, the URI defined in associated `ESource` is used instead, taken from the `ESourceWebdav` extension, if defined.

Free the returned pointer with g_free(), when no longer needed.

Available since: 3.24

#### Parameters

`request_uri`

  Type: `GUri`

  A `GUri` to which the `href` belongs, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`href`

  Type: `const gchar*`

  A possibly path-only href.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The `href` as a full URI.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.